更新 UBO
curl --request PATCH \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownershipPercentage": 55.5,
"controlRole": ""
}
'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}"
payload = {
"ownershipPercentage": 55.5,
"controlRole": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ownershipPercentage: 55.5, controlRole: ''})
};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'ownershipPercentage' => 55.5,
'controlRole' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}"
payload := strings.NewReader("{\n \"ownershipPercentage\": 55.5,\n \"controlRole\": \"\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ownershipPercentage\": 55.5,\n \"controlRole\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ownershipPercentage\": 55.5,\n \"controlRole\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"id": "4584b476-ccc6-4e98-be40-0c5082748e35",
"companyId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"personId": "c1e384f5-ae1c-475e-9e64-a0abe533a96f",
"ownershipPercentage": 55.5,
"controlRole": null,
"validFrom": "2024-01-15",
"validTo": null,
"createdAt": "2024-01-15T17:20:47Z"
}
UBO
更新最终受益所有人信息
PATCH
/
api
/
entity
/
v1
/
entities
/
{companyId}
/
ubos
/
{uboId}
更新 UBO
curl --request PATCH \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownershipPercentage": 55.5,
"controlRole": ""
}
'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}"
payload = {
"ownershipPercentage": 55.5,
"controlRole": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ownershipPercentage: 55.5, controlRole: ''})
};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'ownershipPercentage' => 55.5,
'controlRole' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}"
payload := strings.NewReader("{\n \"ownershipPercentage\": 55.5,\n \"controlRole\": \"\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ownershipPercentage\": 55.5,\n \"controlRole\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{companyId}/ubos/{uboId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ownershipPercentage\": 55.5,\n \"controlRole\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"id": "4584b476-ccc6-4e98-be40-0c5082748e35",
"companyId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"personId": "c1e384f5-ae1c-475e-9e64-a0abe533a96f",
"ownershipPercentage": 55.5,
"controlRole": null,
"validFrom": "2024-01-15",
"validTo": null,
"createdAt": "2024-01-15T17:20:47Z"
}
更改有效关联的持股比例和/或控制角色。
- 请求体为空时返回 400 VALIDATION_ERROR。
- personId、validFrom 和 validTo 无法更改;请结束该关联并创建新的关联。
application/problem+json 格式,并附带固定的 code。完整目录:实体状态和错误代码。授权
请求头
路径参数
请求体
application/json
新角色,为链接 UBO(Link a UBO)中的代码之一。空字符串会返回 422 INVALID_CONTROL_ROLE;角色不能被清空。
可用选项:
CEO, CFO, COO, CTO, PRESIDENT, VICE_PRESIDENT, DIRECTOR, MANAGING_DIRECTOR, MANAGING_PARTNER, GENERAL_PARTNER, PARTNER, SECRETARY, TREASURER, CHAIRMAN, BOARD_MEMBER, AUTHORIZED_SIGNATORY, GENERAL_COUNSEL, OWNER, FOUNDER, MANAGER, MEMBER, COMPTROLLER, CHIEF_COMPLIANCE_OFFICER, LEGAL_REPRESENTATIVE 示例:
"PARTNER"
响应
OK。
最后修改于 2026年11月10日

